> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serial.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Component Instance

> Creates a new instance of the component with a specified identifier (serial number, lot code or component UUID). Use the `validation-only` header to check the predicted result before actually instantiating a component instance. 



## OpenAPI

````yaml PUT /components/instances
openapi: 3.1.0
info:
  title: Serial
  version: '1.0'
  description: Access and control your Serial data programmatically.
  contact:
    name: Devon Copeland
    email: support@serial.io
    url: www.serial.io
  summary: Serial API
servers:
  - url: https://api.serial.io
security:
  - serial-default-security: []
tags:
  - name: AI
    description: AI Endpoints
  - name: Auth
    description: Auth Endpoints
  - name: Companies
    description: Company Endpoints
  - name: Component Instances
    description: Component Instance Endpoints
  - name: Components
    description: Component Endpoints
  - name: Datasets
    description: Dataset Endpoints
  - name: Fields
    description: Field Endpoints
  - name: Legacy
    description: Legacy Endpoints
  - name: Part Numbers
    description: Part Number Endpoints
  - name: Processes
    description: Process Endpoints
  - name: Properties
    description: Property Endpoints
  - name: Storage
    description: Storage Endpoints
  - name: Users
    description: User Endpoints
  - name: Work Orders
    description: Work Order Endpoints
paths:
  /components/instances:
    parameters: []
    put:
      tags:
        - Component Instances
      summary: Create Component Instance
      description: >-
        Creates a new instance of the component with a specified identifier
        (serial number, lot code or component UUID). Use the `validation-only`
        header to check the predicted result before actually instantiating a
        component instance. 
      operationId: put-components-id-instances
      parameters:
        - $ref: '#/components/parameters/validation-only'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                identifier:
                  type: string
                  x-stoplight:
                    id: ipbuvwlybn6qu
                  description: Serial number, lot code or component instance UUID
                component_id:
                  type: string
                  x-stoplight:
                    id: 2wn3ltoq36wbn
                part_number_id:
                  type: string
                  x-stoplight:
                    id: 3h441tbxe0si1
                work_order_id:
                  type: string
                  x-stoplight:
                    id: 4hczprs59oubt
                station_id:
                  type: string
                  x-stoplight:
                    id: 5gdk0rdwdo73o
                created_at:
                  type: string
                  x-stoplight:
                    id: by86kkmbsn7f1
                  format: date-time
                  description: >-
                    Available to override the created_at timestamp in the
                    database
              required:
                - identifier
                - component_id
        description: ''
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Component-instance'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  parameters:
    validation-only:
      name: Validation-Only
      in: header
      schema:
        type: boolean
      description: >-
        Set this header to true if you want to validate the input and check the
        expected response without actually performing the action.
  schemas:
    Component-instance:
      title: component-instance
      x-stoplight:
        id: txo4abh268xyy
      type: object
      required:
        - identifier
      properties:
        id:
          type: string
          x-stoplight:
            id: q1e4j8azje2d6
          format: uuid
        identifier:
          type: string
          x-stoplight:
            id: 3zam2sjlue49j
        component_id:
          type: string
          x-stoplight:
            id: al7s5f2koy6lr
          format: uuid
        created_at:
          type: string
          x-stoplight:
            id: 1rqczh5hdcnrb
          format: date-time
        status:
          x-stoplight:
            id: zw07jwnbdzal4
          enum:
            - WIP
            - PLANNED
            - DEFECTIVE
            - COMPLETE
        last_updated_at:
          type: string
          x-stoplight:
            id: 4twu33rlaqp6t
          format: date-time
        completed_at:
          type: string
          x-stoplight:
            id: 1ck8z6p6ate8v
          format: date-time
        part_number_id:
          type: string
          x-stoplight:
            id: r1ww4suk58vr3
          format: uuid
        is_archived:
          type: boolean
          x-stoplight:
            id: k32qr8bl0hfyi
        work_order_id:
          type: string
          x-stoplight:
            id: wnct3zotkpftt
          format: uuid
        latitude:
          type: number
          x-stoplight:
            id: lvy1o6zczal1y
          format: float
        longitude:
          type: number
          x-stoplight:
            id: mzs8giqaa6bck
          format: float
  securitySchemes:
    serial-default-security:
      type: http
      scheme: bearer
      description: '**API Key** or **Token** formatted as `Bearer <YOUR_KEY_OR_TOKEN>`'

````